# THMovie-Mentor-API

This project involves creating an API that provides information about Thai movies and their details. We collect data through a questionnaire asking people of various ages and genders about their favorite Thai movies.   After obtaining the movie titles, we use web scraping to find out when they were released and where they can be watched. These applications include Prime Video, Apple TV, Netflix, VIU, YouTube, and 3CHPlus, which are popular among Thai audiences for watching Thai movies.

## How to Install
Read how to install and configure application from [Installation.md](Installation.md).

## How to Run
1. Activate the virtual environment.
   * macOS / Linux
     ```
     . venv/bin/activate 
     ```
   * Windows
     ```
     venv\Scripts\activate
     ```
2. Starting development server.
    ```
    python manage.py runserver
    ```
    > Note : If you can't use **python**, change it to **python3**.
3. To use the application, open the browser and access http://localhost:8000.
4. To close the application, quit the server with CONTROL-C.
5. Deactivate the virtual environment.
    ```
    deactivate
    ```

All project documents are in the [Project Wiki](https://github.com/Pichayanon/THMovie-Mentor-API/wiki).
- [Domain Model](https://github.com/Pichayanon/THMovie-Mentor-API/wiki/Domain-Model)
- [Class Diagram](https://github.com/Pichayanon/THMovie-Mentor-API/wiki/Class-Diagram)
- [Sequence Diagram](https://github.com/Pichayanon/THMovie-Mentor-API/wiki/Sequence-Diagram)
- [Database Schema](https://github.com/Pichayanon/THMovie-Mentor-API/wiki/Database-Schema)
- [API Endpoint](https://github.com/Pichayanon/THMovie-Mentor-API/wiki/API-Endpoint)
- [API Tesing](https://github.com/Pichayanon/THMovie-Mentor-API/wiki/API-Test)
- [Web Testing](https://github.com/Pichayanon/THMovie-Mentor-API/wiki/Web-Test)


