# Generated by Django 4.2.4 on 2024-05-10 16:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Actor",
            fields=[
                (
                    "actor_id",
                    models.CharField(max_length=100, primary_key=True, serialize=False),
                ),
                ("nickname_th", models.CharField(max_length=100)),
                ("fullname_th", models.CharField(max_length=255)),
                ("nickname_en", models.CharField(max_length=100)),
                ("fullname_en", models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="Genre",
            fields=[
                (
                    "genre_id",
                    models.CharField(max_length=100, primary_key=True, serialize=False),
                ),
                ("genre_name", models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="Movie",
            fields=[
                (
                    "movie_id",
                    models.CharField(max_length=100, primary_key=True, serialize=False),
                ),
                ("title_th", models.CharField(max_length=255)),
                ("title_en", models.CharField(max_length=255)),
                ("release_year", models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name="Platform",
            fields=[
                (
                    "platform_id",
                    models.CharField(max_length=100, primary_key=True, serialize=False),
                ),
                ("platform_name", models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="Response",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("age", models.IntegerField()),
                ("gender", models.CharField(max_length=50)),
                (
                    "movie",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="THMovie.movie"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Play",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "actor",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="THMovie.actor"
                    ),
                ),
                (
                    "movie",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="THMovie.movie"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="MovieGenre",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "genre",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="THMovie.genre"
                    ),
                ),
                (
                    "movie",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="THMovie.movie"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Available",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "movie",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="THMovie.movie"
                    ),
                ),
                (
                    "platform",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="THMovie.platform",
                    ),
                ),
            ],
        ),
    ]
